gModel-class {MVCClass} | R Documentation

## Class "gModel": A virtual class for models

### Description

gModel is a virtual class from which all other model classes will inherit. Model objects will be responsible for storing and updating the data sets.

### Objects from the Class

A virtual Class: No objects may be created from it.

### Slots

`modelData`:
  the actual model data
`linkData`:
  a list of the functions to link this data to its parent and child models (if it has any)
`virtualData`:
  data that pertains to the views of this model
`modelName`:
  the name of the model (will be the same name as the MVC)
`modelVar`:
  a list of variables that refer to the modelData (for instance this may be t-test values that were calculated from the modelData)

### Methods

linkData<-
  Sets the `linkData` slot
linkData
  Returns the `linkData` slot
modelData<-
  Sets the `modelData` slot
modelData
  Returns the `modelData` slot
modelName<-
  Sets the `modelName` slot
modelName
  Returns the `modelName` slot
virtualData<-
  Sets the `virtualData` slot
virtualData
  Returns the `virtualData` slot
modelVar<-
  Sets the `modelVar` slot
modelVar
  Returns the `modelVar` slot

Also, all models will have an updateModel method that will be defined in the packages that use this package (for example, iSPlot and iSNetwork). The updateModel method will be called by a gUpdateDataMessage object when the data needs to be updated. Another method that may be defined for certain models is the provideInfo method that will return model information when it is asked for by a gAskAncestorMessage object.

### Author(s)

Elizabeth Whalen

### See Also

`dfModel-class`

[Package MVCClass version 1.18.0 Index]